ZNEW(1)

NAME
znew - convert compressed files to gzipped files

SYNOPSIS
znew [-ftv9K] file ...

DESCRIPTION
The znew utility uncompresses files compressed by compress(1) and recompresses them with gzip(1).

The options are as follows:

-f  Overwrite existing ‘.gz’ files. Unless this option is specified, znew refuses to overwrite existing files.

-t  Test integrity of the gzipped file before deleting the original file. If the integrity check fails, the original ‘.Z’ file is not removed.

-v  Print a report specifying the achieved compression ratios.

-9  Use the -9 mode of gzip(1), achieving better compression at the cost of slower execution.

-K  Keep the original ‘.Z’ file if it uses less disk blocks than the gzipped one. A disk block is 1024 bytes.

SEE ALSO
gzip(1)

CAVEATS
The znew utility tries to maintain the file mode of the original file. If the original file is not writable, it is not able to do that and znew will print a warning.